Subject: bug#78562: Coreutils-9.7 do not build on macOS High Sierra, Version 10.13.6, because src/cksum.c: uses invalid cpu feature string for builtin

From: Peter Dyballa <[email-masked]>
Date: Thu, 29 May 2025 19:25:35 +0200

> Am 29.05.2025 um 18:48 schrieb Paul Eggert <[email-masked]>:
> 
> Must you use MacPorts? (Remember, I'm no Mac expert.) Can't you just use './configure; make' like INSTALL says?

MacPorts' Portfile is such a fine "remote control" – you can record patches, configure arguments, compiler flags etc. and also comment why you did this or that. GNU Emacs only keeps a history of compile commands – according to my knowledge.

And another advantage of using MacPorts is that you can easily remove from disk what you installed some time before (and reset the system to some standards). And when you're using old tools like rsync all your changes to Portfiles go away – including self-written patch files (which *is* bad). Using modern git instead seems to keep many changes and additions. But you can also feed your own local private repository! And it can be switched on or off in a MacPorts configuration text file.

There are cases when MacPorts cannot be used at all: when tests are using sockets to communicate with a DB or whatever. Because the path name of the socket inside the build (or disaster) area is longer than 104 or 105 characters it cannot be created!

>> cd . && /bin/sh /opt/local/var/macports/build/_opt_mports_macports-ports_sysutils_coreutils-devel/coreutils-devel/work/coreutils-9.7.39-c8d75/build-aux/missing automake-1.17 --gnu
> 
> This suggests that you updated configure.ac or m4/*.m4 or */Makefile.am or something like that. Let's not do that. Just unpack the tarball and use it without changing any files or their timestamps. If you need to make patches, you'll need to later run "./bootstrap" with Automake 1.18 and bleeding-edge-from-Savannah Autoconf and I wouldn't trust doing that on an ancient Mac OS platform.

Configure stopped configuring when it could not find "aclocal-1.16" or "aclocal-1.18", exactly these executables, because of reasons I do not know why at all. I do not know much about the use of these tools, was never a software developer. So my first idea was to rename the text strings (I could have also provided sym-links by those names…).

Mac OS X 10.4.11, Tiger, has an inherent problem with time stamps: they must be at least 2 sec apart! I noticed it once and later I saw some configure scripts (PostgreSQL?) check for the length of the time interval. Could this disturb a simple ./configure && make?

--

Greetings

  Pete

"Indentation?! I will show you how to indent when I indent your skull!"
				– Unknown Klingon typist.